Package org.apache.maven.scm.provider.perforce.command.update

## Class PerforceUpdateCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.update.AbstractUpdateCommand
    - - org.apache.maven.scm.provider.perforce.command.update.PerforceUpdateCommand

All Implemented Interfaces:
  `Command`, `PerforceCommand`

    public class PerforceUpdateCommand
    extends AbstractUpdateCommand
    implements PerforceCommand

Author:
  Mike Perham

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`PerforceUpdateCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(PerforceScmProviderRepository repo, java.io.File workingDirectory, java.lang.String clientspec)`
`protected UpdateScmResult` `executeUpdateCommand​(ScmProviderRepository repo, ScmFileSet files, ScmVersion scmVersion)`
`protected ChangeLogCommand` `getChangeLogCommand()`

### Methods inherited from class org.apache.maven.scm.command.update.AbstractUpdateCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceUpdateCommand

    public PerforceUpdateCommand()

### Method Detail

#### executeUpdateCommand

    protected UpdateScmResult executeUpdateCommand​(ScmProviderRepository repo,
                                                   ScmFileSet files,
                                                   ScmVersion scmVersion)
                                            throws ScmException

Specified by:
  `executeUpdateCommand` in class `AbstractUpdateCommand`
Throws:
  `ScmException`

#### getChangeLogCommand

    protected ChangeLogCommand getChangeLogCommand()

Specified by:
  `getChangeLogCommand` in class `AbstractUpdateCommand`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(PerforceScmProviderRepository repo,
                                                                             java.io.File workingDirectory,
                                                                             java.lang.String clientspec)